Bug 181311 - can't boot with nosmp
can't boot with nosmp
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Garzik
Will Woods
NeedsRetesting
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-02-13 08:19 EST by Alexandre Oliva
Modified: 2013-07-02 22:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 12:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-02-13 08:19:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.1) Gecko/20060210 Fedora/1.5.0.1-3 Firefox/1.5.0.1

Description of problem:
If I boot up my Athlon64X2 box with option nosmp, to try to avoid the instability problems I'm facing (see bug 180063 and bug 181310), the kernel apparently freezes trying to probe sata1.  That's the first SATA port of the sata_via controller, that has nothing connected to it; the two disks are connected to the sata_promise controller.  There's a DVDRW connected as master of the secondary PATA port, but I don't know which controller that is.

If I boot with maxcpus=1, everything works.  If I try without any of these options, heavy activity breaks disk and/or networking.

Version-Release number of selected component (if applicable):
kernel-2.6.1[45]-*

How reproducible:
Always

Steps to Reproduce:
1.Boot up with nosmp

Actual Results:  It freezes when probing for disks

Expected Results:  Same as when booting without this option

Additional info:
Comment 1 Jim Paradis 2006-07-28 18:32:04 EDT
I ran into a similar issue on RHEL4.  It turns out that certain platforms will
not boot with "nosmp" since that option disables the APIC as well.  Using
"maxcpus=1" instead ensures that one boots with only one CPU but it leaves the
APIC alone.  Some platforms need this.

Perhaps we should KB this?
Comment 2 Dave Jones 2006-10-16 16:42:43 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Will Woods 2007-05-20 16:57:55 EDT
Does this problem still occur with current (2.6.21) kernels if you boot with
nosmp? You could probably test it with a recent Live image from here:

http://torrent.fedoraproject.org/

Note You need to log in before you can comment on or make changes to this bug.